com.h3c.of.lib.msg

## Enum PortFeature

- java.lang.Object
- - java.lang.Enum<PortFeature>
  - - com.h3c.of.lib.msg.PortFeature

- All Implemented Interfaces:
    OfpBitmapEnum, OfpEnum, Serializable, Comparable<PortFeature>

      public enum PortFeature
      extends Enum<PortFeature>
      implements OfpBitmapEnum

  Designates port features.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTONEG` Auto-negotiation; Since 1.0.
    `COPPER` Copper medium; Since 1.0.
    `FIBER` Fiber medium; Since 1.0.
    `PAUSE` Pause; Since 1.0.
    `PAUSE_ASYM` Asymmetric pause; Since 1.0.
    `RATE_100GB_FD` 100 Gb full-duplex rate support; Since 1.1.
    `RATE_100MB_FD` 100 Mb full-duplex rate support; Since 1.0.
    `RATE_100MB_HD` 100 Mb half-duplex rate support; Since 1.0.
    `RATE_10GB_FD` 10 Gb full-duplex rate support; Since 1.0.
    `RATE_10MB_FD` 10 Mb full-duplex rate support; Since 1.0.
    `RATE_10MB_HD` 10 Mb half-duplex rate support; Since 1.0.
    `RATE_1GB_FD` 1 Gb full-duplex rate support; Since 1.0.
    `RATE_1GB_HD` 1 Gb half-duplex rate support; Since 1.0.
    `RATE_1TB_FD` 1 Tb full-duplex rate support; Since 1.1.
    `RATE_40GB_FD` 40 Gb full-duplex rate support; Since 1.1.
    `RATE_OTHER` Other rate, not in the list; Since 1.1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBit(ProtocolVersion pv)` Returns the bit value for the constant, under the given protocol version.
    `String` | `toDisplayString()` Returns a string representation of this constant suitable for display.
    `String` | `toString()`
    `static PortFeature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PortFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RATE_10MB_HD

          public static final PortFeature RATE_10MB_HD

      10 Mb half-duplex rate support; Since 1.0.

    - #### RATE_10MB_FD

          public static final PortFeature RATE_10MB_FD

      10 Mb full-duplex rate support; Since 1.0.

    - #### RATE_100MB_HD

          public static final PortFeature RATE_100MB_HD

      100 Mb half-duplex rate support; Since 1.0.

    - #### RATE_100MB_FD

          public static final PortFeature RATE_100MB_FD

      100 Mb full-duplex rate support; Since 1.0.

    - #### RATE_1GB_HD

          public static final PortFeature RATE_1GB_HD

      1 Gb half-duplex rate support; Since 1.0.

    - #### RATE_1GB_FD

          public static final PortFeature RATE_1GB_FD

      1 Gb full-duplex rate support; Since 1.0.

    - #### RATE_10GB_FD

          public static final PortFeature RATE_10GB_FD

      10 Gb full-duplex rate support; Since 1.0.

    - #### RATE_40GB_FD

          public static final PortFeature RATE_40GB_FD

      40 Gb full-duplex rate support; Since 1.1.

    - #### RATE_100GB_FD

          public static final PortFeature RATE_100GB_FD

      100 Gb full-duplex rate support; Since 1.1.

    - #### RATE_1TB_FD

          public static final PortFeature RATE_1TB_FD

      1 Tb full-duplex rate support; Since 1.1.

    - #### RATE_OTHER

          public static final PortFeature RATE_OTHER

      Other rate, not in the list; Since 1.1.

    - #### COPPER

          public static final PortFeature COPPER

      Copper medium; Since 1.0.

    - #### FIBER

          public static final PortFeature FIBER

      Fiber medium; Since 1.0.

    - #### AUTONEG

          public static final PortFeature AUTONEG

      Auto-negotiation; Since 1.0.

    - #### PAUSE

          public static final PortFeature PAUSE

      Pause; Since 1.0.

    - #### PAUSE_ASYM

          public static final PortFeature PAUSE_ASYM

      Asymmetric pause; Since 1.0.

  - ### Method Detail

    - #### values

          public static PortFeature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PortFeature c : PortFeature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PortFeature valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBit

          public int getBit(ProtocolVersion pv)

      Description copied from interface: `OfpBitmapEnum`
      Returns the bit value for the constant, under the given protocol version.
      Specified by:
        `getBit` in interface `OfpBitmapEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the bit value for the constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<PortFeature>`

    - #### toDisplayString

          public String toDisplayString()

      Returns a string representation of this constant suitable for display. For example, `PAUSE_ASYM.toDisplayString()` returns:

             "Asymmetric pause"

      Specified by:
        `toDisplayString` in interface `OfpBitmapEnum`
      Returns:
        the display string

Copyright © 2014. All Rights Reserved.